> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vehicles of driver

> Receive all of the vehicles that the specified driver is assigned to



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/drivers/{driverId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/drivers/{driverId}:
    get:
      tags:
        - Drivers
      summary: Get vehicles of driver
      description: Receive all of the vehicles that the specified driver is assigned to
      operationId: getDriverVehicles
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: The three-character code of the asset provider
        - in: path
          name: driverId
          schema:
            type: string
            format: uuid
          required: true
          example: a79abfff-bcdb-4bd1-b999-af29fe3d9056
          description: The id of the driver in UUID format
      responses:
        '200':
          description: Vehicles that the driver is assigned to
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleList'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: User could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    VehicleList:
      type: array
      items:
        $ref: '#/components/schemas/Vehicle'
    Vehicle:
      type: object
      required:
        - asset
        - information
        - status
      properties:
        asset:
          $ref: '#/components/schemas/Asset'
        information:
          $ref: '#/components/schemas/VehicleInformation'
        status:
          $ref: '#/components/schemas/VehicleStatus'
    Asset:
      type: object
      required:
        - id
        - assetProviderCountryCode
        - assetProviderCode
      properties:
        id:
          type: string
          example: AT*ABC*V1000000
        assetProviderCountryCode:
          type: string
          example: AT
        assetProviderCode:
          type: string
          example: ABC
        blobUuid:
          type: string
          format: uuid
          example: a79abfff-bcdb-4bd1-b999-af29fe3d9056
        defaultImage:
          type: string
          example: https://some.storage.website/image.png
        active:
          type: boolean
    VehicleInformation:
      type: object
      required:
        - vin
      properties:
        vin:
          type: string
          example: 0F0EAATTRBPC3CDBB
        vendor:
          type: string
          example: BMW
        model:
          type: string
          example: Zoe
        variant:
          type: string
          example: Long Range
        licensePlate:
          type: string
          example: W-53A
        fuelType:
          type: string
          enum:
            - DIESEL
            - REGULAR
            - PLUS
            - ELECTRIC
            - HYBRID
            - PLUGINHYBRID
        seats:
          type: integer
          example: 5
        gear:
          type: string
          enum:
            - Manual
            - Automatic
            - SemiAutomatic
        firstRegistrationDate:
          type: string
          format: date
          example: '2023-08-17'
        buildYear:
          type: integer
          example: 2023
        evBatteryCapacity:
          type: number
          format: double
          description: Capacity of the EV battery in kWh
          example: 10.4
        iceTankCapacity:
          type: number
          format: double
          description: Capacity of the ICE fuel tank in liters
          example: 10.4
        trackGeolocation:
          type: boolean
          description: Describes whether geolocation tracking is active or not
        autoLogbookType:
          $ref: '#/components/schemas/TripType'
          description: >-
            Default logbook entry type for new entries when auto-logbook is
            enabled. Null means auto-logbook is off
    VehicleStatus:
      type: object
      properties:
        lastUpdated:
          type: string
          format: date-time
          example: '2023-08-17T18:19:22.874Z'
        location:
          $ref: '#/components/schemas/Position'
        isCharging:
          type: boolean
        isLocked:
          type: boolean
        windowsClosed:
          type: boolean
        doorsClosed:
          type: boolean
        engineActive:
          type: boolean
        odometer:
          type: integer
        reach:
          type: integer
        fuelLevel:
          type: integer
        headlightsActive:
          type: boolean
        immobilizerActive:
          type: boolean
        tirePressureFrontLeft:
          type: number
        tirePressureFrontRight:
          type: number
        tirePressureRearLeft:
          type: number
        tirePressureRearRight:
          type: number
        nextServiceDate:
          type: string
          format: date
          example: '2023-08-17'
        nextServiceDistance:
          type: integer
        isPluggedIn:
          type: boolean
    TripType:
      type: string
      description: Type of trip
      enum:
        - Business
        - Private
    Position:
      type: object
      required:
        - lat
        - lng
      properties:
        lat:
          type: number
        lng:
          type: number
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````